//-------------------------------------------------------------------------------------
//--  MSN Setup Script (setup1.mss)  MSNLite Version  	TR 322   19 Aug 1997 BRD
//-------------------------------------------------------------------------------------

// Using MSNAK to skip typical/complete dialog 
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\MSNAK" valname="InstallType" value="1" 
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\MSNAK" valname="ForceReboot" value="0"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\MSNAK" valname="reqSpace" value="5"  datatype=dword
WRITE_REG  keyname="HKEY_CURRENT_USER\software\Microsoft\MSN\Settings" valname="IgnorePV" value="1" datatype=dword 

SET 	appname="MSNLite Setup for Memphis"  source_url="http://setup.msn.com"

//-- list of component files (Note: compid's must be unique) --------------
//--   Note: use squotes around params containing double-quote chars ------
//
//-- begin TYPICAL INSTALL components
FILE-COMPONENT	compid=2010   name=mcdpkgtm.exe descrip="MSN Multicast Detection"       clsid=0 compsize=179040 fullsize=117651 version=2.5.0.38 flags="/R:n /Q" reboot=no
FILE-COMPONENT	compid=2007   name=msnsvc.exe   descrip="MSN Dialer && Connection Manager"       clsid=0 compsize=593024 fullsize=1090679 version=6.0.48.0    flags="/r:n /Q"
FILE-COMPONENT	compid=2008   name=controls.exe descrip="MSN Program Viewer Controls"       clsid=8F0F5093-0A70-11d0-BCA9-00C04FD85AA6 compsize=848736 fullsize=1352663 version=4.70.0.1302 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=2420   name=CoreUI.exe   descrip="MSN Program Viewer"            clsid=0 compsize=495000 fullsize=747520 version=2.5.0.105 flags="/R:n /Q" reboot=no

//-- begin COMPLETE INSTALL components

//-- sniff to detect if components are not installed or out of date -------
//-- ( 0-99     use generic CLSID based sniff)6:07 PM 7/31/97
//-- ( 100-999  use custom sniff functions, require code mods)
//-- ( >= 1000  FORCE (always reports install required)
//-- ( >= 2000	Metro Sniff (part of Typical install)
//-- ( >= 3000  Metro Sniff (part of Complete/Custom install)
//--Note: use squotes around params containing double-quote chars ---------

//-- startup UI for setup program
STARTUP-ONE

//-- install all components that are required ---
INSTALL-COMPONENTS

//-- allow COMPLETE INSTALL components only a chance to install
//--    on a second checklist screen, but only if Complete install chosen
INSTALL-COMPONENTS

//-------------------------------------------------------------------------------------
//--  MSN CD Setup Script (setup2.mss)   // OEM version, part two of CD setup, after reboot
//-------------------------------------------------------------------------------------




//-- Launch MSN Program Viewer (after reboot)---
LAUNCH-COREUI

//-- write version info into registry for Metro
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\SoftwareInstalled" valname="Major" value="2"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\SoftwareInstalled" valname="Minor" value="5"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Build" value="322"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Media" value="0"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Language" value="English"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Distributor" value="0"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Other" value="MSNLite"
WRITE_REG  keyname="HKEY_CURRENT_USER\software\Microsoft\MSN\Settings" valname="IgnorePV" value="1" datatype=dword 



END
